#ifndef FILE_FKT
#define FILE_FKT

//		C++ Funktionen
void   initCpp(const int n, double x[], const double & s);
double norm2_Cpp(const int n, const double x[]);

//	----	Interface zu C und Fortran Funktionen	----
//		C und Fortran Funktionen muessen als externe C-Funktionen behandelt werden

extern "C"
{
//		C-Funktionen
 extern void initC(const int n, double x[], const double s);
 extern double norm2_C(const int n, const double x[]);

//		F77-Funktionen
#define initF77 	initf77_		// _ fr F77

#ifdef  DOUBLE_UNDERSCORE
						// __ fr F77_gnu,
#define norm2_F77	norm2_f77__		// falls Underscore im Fkt.-namen vorkommt

#else						// sonst (z.B.:  __INTEL_COMPILER )

#define norm2_F77	norm2_f77_

#endif

//			F77-Parameteruebergabe via Reference oder Adddress
#ifdef F77_BY_REFERENCE
 extern void initF77(const int &n, const double x[], const double &s);
 extern double norm2_F77(const int &n, const double x[]);
#else
 extern void initF77(const int *n, const double *x, const double *s);
 extern double norm2_F77(const int *n, const double *x);
#endif

}

#endif

